> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single Service Order version by its id

> Get a single Service Order version by its id

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { serviceOrders } from '@drivly/commerce'

  const sdk = new SDK(...)

  const serviceOrders = await sdk.serviceOrders.findOne(serviceOrdersId: string): Promise<serviceOrders>
  ```
</Accordion>


## OpenAPI

````yaml get /serviceOrders/versions/{id}
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /serviceOrders/versions/{id}:
    get:
      tags:
        - serviceOrders
      summary: Get a single Service Order version by its id
      description: Get a single Service Order version by its id
      parameters:
        - name: id
          in: path
          description: id of the Service Order version
          required: true
          schema:
            type: string
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: where
          in: query
          description: >-
            pass a where query to constrain returned documents (complex type,
            see documentation)
          style: deepObject
          explode: true
          allowReserved: true
          schema:
            $ref: '#/components/schemas/where'
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
      responses:
        '200':
          $ref: '#/components/responses/serviceOrdersVersionResponse'
        '404':
          $ref: '#/components/responses/NotFoundErrorResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    where:
      title: Where clause
      type: object
      additionalProperties:
        anyOf:
          - type: object
            properties:
              equals: {}
            additionalProperties: false
          - type: object
            properties:
              not_equals: {}
            additionalProperties: false
          - type: object
            properties:
              greater_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              greater_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              like:
                type: string
            additionalProperties: false
          - type: object
            properties:
              contains:
                type: string
            additionalProperties: false
          - type: object
            properties:
              in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              not_in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              exists:
                type: boolean
            additionalProperties: false
          - type: object
            properties:
              near:
                type: string
            additionalProperties: false
      properties:
        or:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
        and:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
      example:
        or:
          - color:
              equals: mint
          - and:
              - color:
                  equals: white
              - featured:
                  equals: false
    serviceOrdersVersion:
      title: ServiceOrder version
      type: object
      additionalProperties: false
      properties:
        version:
          type: object
          additionalProperties: false
          properties:
            name:
              type: string
              nullable: true
            type:
              items:
                enum:
                  - Condition Inspection
                  - Last Mile Delivery
                  - Long Haul Transport
                  - Mechanical Inspection
                  - Post Sale Inspection
                  - Pre-Paid Maintenance
                  - Pre-Purchase Inspection
                  - Safety Inspection
                  - Vehicle Service Contract
                  - Wash And Detail
                type: string
              type: array
              nullable: true
            customer:
              items:
                oneOf:
                  - type: number
                  - additionalProperties: false
                    title: Customer
                    type: object
                    properties:
                      customerId:
                        type: string
                        nullable: true
                      leads:
                        items:
                          type: number
                        type: array
                        nullable: true
                      address:
                        type: number
                        nullable: true
                      shippingContact:
                        type: number
                        nullable: true
                      deals:
                        items:
                          type: number
                        type: array
                        nullable: true
                      createdBy:
                        type: number
                        nullable: true
                      lastModifiedBy:
                        type: number
                        nullable: true
                      email:
                        type: string
                        nullable: true
                      phone:
                        type: string
                        nullable: true
                      insurancePolicies:
                        items:
                          type: number
                        type: array
                        nullable: true
                      tenants:
                        items:
                          type: number
                        type: array
                        nullable: true
                      consumerStatus:
                        enum:
                          - SOLD
                          - Pending
                          - Working
                          - Cold
                          - LOST
                          - Duplicate
                          - DNC
                        type: string
                        nullable: true
                      consumerFirstName:
                        type: string
                        nullable: true
                      consumerMiddleName:
                        type: string
                        nullable: true
                      consumerLastName:
                        type: string
                        nullable: true
                      consumerSuffix:
                        type: string
                        nullable: true
                      consumerDateOfBirth:
                        type: string
                        nullable: true
                      consumerEducationLevel:
                        type: string
                        nullable: true
                      consumerVehicles:
                        items:
                          type: number
                        type: array
                        nullable: true
                      consumerPhoneType:
                        type: string
                        nullable: true
                      consumerDriversLicense:
                        type: string
                        nullable: true
                      consumerDriversLicenseState:
                        type: string
                        nullable: true
                      consumerDriversLicenseNumber:
                        type: string
                        nullable: true
                      consumerDriversLicenseExp:
                        type: string
                        nullable: true
                      consumerDriversLicenseExpiration:
                        type: string
                        nullable: true
                      consumerPreApprovals:
                        items:
                          type: number
                        type: array
                        nullable: true
                      consumerGetPreApproved:
                        type: string
                        nullable: true
                      consumerProvideProofOfInsurance:
                        type: string
                        nullable: true
                      consumerLoginToBank:
                        type: string
                        nullable: true
                      consumerConnectCar:
                        type: string
                        nullable: true
                      consumerProvideProofOfIncome:
                        type: string
                        nullable: true
                      consumerConsumerId:
                        type: string
                        nullable: true
                      consumerCreditApplicationId:
                        type: string
                        nullable: true
                      deals2:
                        items:
                          type: number
                        type: array
                        nullable: true
                      consumerSocialSecurity:
                        type: string
                        nullable: true
                      consumerDriversLicenceState:
                        type: string
                        nullable: true
                      consumerIncome:
                        type: number
                        nullable: true
                      consumerIncomeInterval:
                        type: string
                        nullable: true
                      consumerEmploymentStatusCode:
                        type: string
                        nullable: true
                      consumerEmploymentDuration:
                        type: number
                        nullable: true
                      consumerEmployerName:
                        type: string
                        nullable: true
                      consumerEmployerPhone:
                        type: string
                        nullable: true
                      consumerEmploymentTitle:
                        type: string
                        nullable: true
                      consumerPreviousEmployerName:
                        type: string
                        nullable: true
                      consumerPreviousEmployerPhone:
                        type: string
                        nullable: true
                      consumerPreviousEmploymentTitle:
                        type: string
                        nullable: true
                      consumerPreviousEmploymentDuration:
                        type: number
                        nullable: true
                      consumerPreviousEmploymentincome:
                        type: number
                        nullable: true
                      consumerTimeAtResidence:
                        type: number
                        nullable: true
                      consumerPreviousAddressLine1:
                        type: string
                        nullable: true
                      consumerPreviousAddressLine2:
                        type: string
                        nullable: true
                      consumerPreviousAddressCity:
                        type: string
                        nullable: true
                      consumerPreviousAddressState:
                        type: string
                        nullable: true
                      consumerPreviousZip:
                        type: string
                        nullable: true
                      consumerPreviousAddressDuration:
                        type: number
                        nullable: true
                      consumerResidenceType:
                        type: string
                        nullable: true
                      consumerRentMortgage:
                        type: number
                        nullable: true
                      consumerOtherIncomeDescription:
                        type: string
                        nullable: true
                      consumerOtherIncomeAmount:
                        type: number
                        nullable: true
                      consumerLeadSource:
                        items:
                          enum:
                            - Car Concierge (Andrew)
                            - Driv.ly Website
                            - Self Generated
                            - Referral
                            - Rocket
                          type: string
                        type: array
                        nullable: true
                      companyName:
                        type: string
                        nullable: true
                      companyDealerDeals:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyDealsFacilitated:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyInsuranceQuotes:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyType:
                        items:
                          enum:
                            - Dealer
                            - Concierge
                            - Broker
                            - Partner
                            - Auction
                            - Affiliate
                            - Insurer
                            - Mobile Detailer
                            - Last Mile Transporter
                            - Service Provider
                            - Lender
                          type: string
                        type: array
                        nullable: true
                      companyWebsite:
                        type: string
                        nullable: true
                      companyStripeConnectLink:
                        type: string
                        nullable: true
                      companyCustomerPortalLink:
                        type: string
                        nullable: true
                      companyServiceQuotes:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyServiceOrders:
                        type: string
                        nullable: true
                      companyServiceQuotesPartners:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyVisibility:
                        type: string
                        nullable: true
                      companyTenants2:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyCustomer:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyTrades:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyTenants3:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyPartnerBrand:
                        type: number
                        nullable: true
                      companyDeals3:
                        items:
                          type: number
                        type: array
                        nullable: true
                      companyRouteOneDealer:
                        type: string
                        nullable: true
                      companyTransportServiceOrders:
                        items:
                          type: number
                        type: array
                        nullable: true
                      updatedAt:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - updatedAt
                      - createdAt
              type: array
              nullable: true
            serviceQuotes:
              oneOf:
                - type: number
                  nullable: true
                - additionalProperties: false
                  title: ServiceQuote
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    type:
                      items:
                        enum:
                          - Vehicle Service Contract
                          - Pre-Paid Maintenance
                          - Long Haul Transport
                          - Last Mile Delivery
                          - Pre-Purchase Inspection
                          - Post Sale Inspection
                          - Condition Inspection
                          - Safety Inspection
                          - Mechanical Inspection
                          - Wash And Detail
                        type: string
                      type: array
                      nullable: true
                    status:
                      enum:
                        - Quoted
                        - Pending
                        - In Review
                        - Active
                        - Dispatched
                        - En Route
                        - Complete
                        - Hold
                        - Cancel
                        - Error
                      type: string
                      nullable: true
                    serviceProvider:
                      items:
                        type: number
                      type: array
                      nullable: true
                    quoteId:
                      type: string
                      nullable: true
                    partner:
                      type: number
                      nullable: true
                    serviceOrders:
                      type: string
                      nullable: true
                    checkoutLink:
                      type: string
                      nullable: true
                    deal:
                      type: number
                      nullable: true
                    vehicle:
                      type: number
                      nullable: true
                    rush:
                      type: boolean
                      nullable: true
                    etaMin:
                      type: string
                      nullable: true
                    etaMax:
                      type: string
                      nullable: true
                    distance:
                      type: number
                      nullable: true
                    expires:
                      type: string
                      nullable: true
                    cost:
                      type: string
                      nullable: true
                    price:
                      type: string
                      nullable: true
                    margin:
                      type: string
                      nullable: true
                    partnerProfitShare:
                      type: string
                      nullable: true
                    partnerMargin:
                      type: string
                      nullable: true
                    tenant:
                      type: number
                      nullable: true
                    transportServiceOrders:
                      type: string
                      nullable: true
                    transportServiceOrders2:
                      items:
                        type: number
                      type: array
                      nullable: true
                    updatedAt:
                      type: string
                    createdAt:
                      type: string
                  required:
                    - id
                    - updatedAt
                    - createdAt
            paymentLink:
              type: string
              nullable: true
            vin:
              oneOf:
                - type: number
                  nullable: true
                - additionalProperties: false
                  title: Vehicle
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    vin:
                      type: string
                      nullable: true
                    customer:
                      type: number
                      nullable: true
                    status:
                      items:
                        enum:
                          - Bought at Auction
                          - Inspected
                          - Transport to Inspection
                          - Transport to Customer
                          - Arbitration
                          - Bid Placed
                          - SOLD TO CUSTOMER
                          - Identified as potential option for customer
                          - Taken in on Trade
                          - Trade sold at Auction
                          - Trade sold Retail
                        type: string
                      type: array
                      nullable: true
                    deals:
                      items:
                        type: number
                      type: array
                      nullable: true
                    year:
                      type: string
                      nullable: true
                    make:
                      type: string
                      nullable: true
                    model:
                      type: string
                      nullable: true
                    trim:
                      type: string
                      nullable: true
                    style:
                      type: string
                      nullable: true
                    body:
                      type: string
                      nullable: true
                    drivetrain:
                      type: string
                      nullable: true
                    engine:
                      type: string
                      nullable: true
                    transmission:
                      type: string
                      nullable: true
                    interior:
                      type: string
                      nullable: true
                    exterior:
                      type: string
                      nullable: true
                    listings:
                      items:
                        type: number
                      type: array
                      nullable: true
                    serviceQuotes:
                      items:
                        type: number
                      type: array
                      nullable: true
                    tenant:
                      type: number
                      nullable: true
                    trades:
                      items:
                        type: number
                      type: array
                      nullable: true
                    createdBy:
                      type: number
                      nullable: true
                    transportServiceOrders:
                      type: string
                      nullable: true
                    transportServiceOrders2:
                      items:
                        type: number
                      type: array
                      nullable: true
                    updatedAt:
                      type: string
                    createdAt:
                      type: string
                  required:
                    - id
                    - updatedAt
                    - createdAt
            status:
              enum:
                - Quoted
                - Pending
                - In Review
                - Active
                - Dispatched
                - En Route
                - Complete
                - Hold
                - Cancel
                - Error
              type: string
              nullable: true
            error:
              type: string
              nullable: true
            orderId:
              type: string
              nullable: true
            price:
              type: string
              nullable: true
            rush:
              type: boolean
              nullable: true
            attachments:
              items:
                oneOf:
                  - type: number
                  - additionalProperties: false
                    title: Attachment
                    type: object
                    properties:
                      name:
                        type: string
                        nullable: true
                      status:
                        enum:
                          - Error
                          - Sending
                          - Sent
                        type: string
                        nullable: true
                      type:
                        type: string
                        nullable: true
                      file:
                        type: string
                        nullable: true
                      serviceOrders:
                        type: string
                        nullable: true
                      orderId:
                        type: string
                        nullable: true
                      transportServiceOrders:
                        items:
                          type: number
                        type: array
                        nullable: true
                      updatedAt:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - updatedAt
                      - createdAt
              type: array
              nullable: true
            quoteExpiration:
              type: string
              nullable: true
            ordered:
              type: string
              nullable: true
            start:
              type: string
              nullable: true
            due:
              type: string
              nullable: true
            consignor:
              oneOf:
                - type: number
                  nullable: true
                - additionalProperties: false
                  title: Contact
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    status:
                      enum:
                        - Pending
                        - Active
                        - Inactive
                      type: string
                      nullable: true
                    type:
                      items:
                        enum:
                          - Auction
                          - Mechanic
                          - Operations
                          - Back Office
                          - Transporter
                          - Detailer
                          - Customer
                          - Dealer
                        type: string
                      type: array
                      nullable: true
                    customer:
                      type: number
                      nullable: true
                    addresses:
                      type: number
                      nullable: true
                    transportServiceOrders:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders2:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders3:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders4:
                      items:
                        type: number
                      type: array
                      nullable: true
                    updatedAt:
                      type: string
                    createdAt:
                      type: string
                  required:
                    - id
                    - updatedAt
                    - createdAt
            billTo:
              oneOf:
                - type: number
                  nullable: true
                - additionalProperties: false
                  title: Contact
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    status:
                      enum:
                        - Pending
                        - Active
                        - Inactive
                      type: string
                      nullable: true
                    type:
                      items:
                        enum:
                          - Auction
                          - Mechanic
                          - Operations
                          - Back Office
                          - Transporter
                          - Detailer
                          - Customer
                          - Dealer
                        type: string
                      type: array
                      nullable: true
                    customer:
                      type: number
                      nullable: true
                    addresses:
                      type: number
                      nullable: true
                    transportServiceOrders:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders2:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders3:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders4:
                      items:
                        type: number
                      type: array
                      nullable: true
                    updatedAt:
                      type: string
                    createdAt:
                      type: string
                  required:
                    - id
                    - updatedAt
                    - createdAt
            origin:
              oneOf:
                - type: number
                  nullable: true
                - additionalProperties: false
                  title: Contact
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    status:
                      enum:
                        - Pending
                        - Active
                        - Inactive
                      type: string
                      nullable: true
                    type:
                      items:
                        enum:
                          - Auction
                          - Mechanic
                          - Operations
                          - Back Office
                          - Transporter
                          - Detailer
                          - Customer
                          - Dealer
                        type: string
                      type: array
                      nullable: true
                    customer:
                      type: number
                      nullable: true
                    addresses:
                      type: number
                      nullable: true
                    transportServiceOrders:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders2:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders3:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders4:
                      items:
                        type: number
                      type: array
                      nullable: true
                    updatedAt:
                      type: string
                    createdAt:
                      type: string
                  required:
                    - id
                    - updatedAt
                    - createdAt
            destination:
              oneOf:
                - type: number
                  nullable: true
                - additionalProperties: false
                  title: Contact
                  type: object
                  properties:
                    name:
                      type: string
                      nullable: true
                    status:
                      enum:
                        - Pending
                        - Active
                        - Inactive
                      type: string
                      nullable: true
                    type:
                      items:
                        enum:
                          - Auction
                          - Mechanic
                          - Operations
                          - Back Office
                          - Transporter
                          - Detailer
                          - Customer
                          - Dealer
                        type: string
                      type: array
                      nullable: true
                    customer:
                      type: number
                      nullable: true
                    addresses:
                      type: number
                      nullable: true
                    transportServiceOrders:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders2:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders3:
                      items:
                        type: number
                      type: array
                      nullable: true
                    transportServiceOrders4:
                      items:
                        type: number
                      type: array
                      nullable: true
                    updatedAt:
                      type: string
                    createdAt:
                      type: string
                  required:
                    - id
                    - updatedAt
                    - createdAt
            deals:
              items:
                oneOf:
                  - type: number
                  - additionalProperties: false
                    title: Deal
                    type: object
                    properties:
                      customer:
                        type: number
                        nullable: true
                      vehicle:
                        type: number
                        nullable: true
                      dealId:
                        type: string
                        nullable: true
                      customerRelationship:
                        type: string
                        nullable: true
                      coCustomer:
                        type: number
                        nullable: true
                      companyConsumerCustomer:
                        type: number
                        nullable: true
                      lienHolder:
                        items:
                          type: number
                        type: array
                        nullable: true
                      dealer:
                        type: number
                        nullable: true
                      facilitator:
                        items:
                          type: number
                        type: array
                        nullable: true
                      type:
                        items:
                          enum:
                            - Wholesale Dropship
                            - Wholesale
                            - Concierge Search
                            - Consignment
                            - Instant Cash Offer
                            - Concierge Buy
                            - Private Party
                          type: string
                        type: array
                        nullable: true
                      salesPrice:
                        type: string
                        nullable: true
                      margin:
                        type: string
                        nullable: true
                      downPayment:
                        type: string
                        nullable: true
                      financedAmount:
                        type: string
                        nullable: true
                      taxesAndFees:
                        type: number
                        nullable: true
                      dependencies:
                        items:
                          type: number
                        type: array
                        nullable: true
                      unsignedDocuments:
                        type: string
                        nullable: true
                      signedDocuments:
                        type: string
                        nullable: true
                      deliveryAddress:
                        items:
                          type: number
                        type: array
                        nullable: true
                      paymentLink:
                        type: string
                        nullable: true
                      getTradeOffer:
                        type: string
                        nullable: true
                      notarizePowerOfAttorney:
                        type: string
                        nullable: true
                      serviceQuotes:
                        items:
                          type: number
                        type: array
                        nullable: true
                      tenant:
                        type: number
                        nullable: true
                      trades:
                        items:
                          type: number
                        type: array
                        nullable: true
                      creditApplications:
                        items:
                          type: number
                        type: array
                        nullable: true
                      latestError:
                        type: string
                        nullable: true
                      vscProvider:
                        type: number
                        nullable: true
                      vsc:
                        type: string
                        nullable: true
                      gapProvider:
                        type: number
                        nullable: true
                      gap:
                        type: string
                        nullable: true
                      status:
                        type: string
                        nullable: true
                      transportServiceOrders:
                        items:
                          type: number
                        type: array
                        nullable: true
                      mileage:
                        type: number
                        nullable: true
                      createdBy:
                        type: number
                        nullable: true
                      lastModifiedBy:
                        type: number
                        nullable: true
                      development:
                        type: boolean
                        nullable: true
                      updatedAt:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - updatedAt
                      - createdAt
              type: array
              nullable: true
            orderLink:
              type: string
              nullable: true
            tenant:
              items:
                oneOf:
                  - type: number
                  - additionalProperties: false
                    title: Tenant
                    type: object
                    properties:
                      name:
                        type: string
                        nullable: true
                      customer:
                        items:
                          type: number
                        type: array
                        nullable: true
                      defaultDealer:
                        items:
                          type: number
                        type: array
                        nullable: true
                      defaultFacilitator:
                        type: number
                        nullable: true
                      email:
                        type: string
                        nullable: true
                      apiKey:
                        type: string
                        nullable: true
                      environment:
                        type: string
                        nullable: true
                      creditApplicationLabel:
                        type: string
                        nullable: true
                      deals:
                        items:
                          type: number
                        type: array
                        nullable: true
                      locations:
                        items:
                          type: number
                        type: array
                        nullable: true
                      insuranceQuotes:
                        items:
                          type: number
                        type: array
                        nullable: true
                      serviceQuotes:
                        items:
                          type: number
                        type: array
                        nullable: true
                      serviceOrders:
                        type: string
                        nullable: true
                      insurancePolicies:
                        items:
                          type: number
                        type: array
                        nullable: true
                      addresses:
                        items:
                          type: number
                        type: array
                        nullable: true
                      listings:
                        items:
                          type: number
                        type: array
                        nullable: true
                      vehicles:
                        items:
                          type: number
                        type: array
                        nullable: true
                      webhooks:
                        items:
                          type: number
                        type: array
                        nullable: true
                      taxesAndFees:
                        items:
                          type: number
                        type: array
                        nullable: true
                      dmvFees:
                        items:
                          type: number
                        type: array
                        nullable: true
                      transportServiceOrders:
                        items:
                          type: number
                        type: array
                        nullable: true
                      updatedAt:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - updatedAt
                      - createdAt
              type: array
              nullable: true
          required:
            - createdAt
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - parent
        - version
        - createdAt
        - updatedAt
    error:
      title: Error response message
      type: object
      additionalProperties: false
      properties:
        errors:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              message:
                type: string
            required:
              - message
      required:
        - errors
  responses:
    serviceOrdersVersionResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/serviceOrdersVersion'
    NotFoundErrorResponse:
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````